# MCS_TVrs Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_TVrs:

List of all members.

## Public Member Functions

| MCS_TVrs (unsigned tag=35, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_Result | m_result
MCS_UserId | m_recipient
MCS_TokenId | m_tokenId

## Constructor & Destructor Documentation

MCS_TVrs::MCS_TVrs | ( | unsigned | tag = `35`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_TVrs::GetDataLength | ( |  | ) | const

PBoolean MCS_TVrs::Decode | ( | PASN_Stream & | strm | ) |

void MCS_TVrs::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_TVrs::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_TVrs::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_TVrs::Clone | ( |  | ) | const

## Member Data Documentation

MCS_Result MCS_TVrs::m_result

MCS_UserId MCS_TVrs::m_recipient

MCS_TokenId MCS_TVrs::m_tokenId

The documentation for this class was generated from the following file:

- mcs.h